/* eslint-disable formatjs/enforce-description */
/* eslint-disable formatjs/enforce-default-message */
/* eslint-disable formatjs/no-id */

import { getIntl } from "@/i18n"

export default async function ServerComponentWithTernaryInside() {
  const intl = await getIntl()
  const variable = "some value"

  return (
    <h1>
      {intl.formatMessage({
        defaultMessage: `String with {variable}`,
        description: {}
      }, { variable: variable })}
    </h1>
  )
}
